Bug 223909

Summary: Limit the number of buttons shown in media controls
Product: WebKit Reporter: Devin Rousso <drousso>
Component: MediaAssignee: Devin Rousso <drousso>
Status: RESOLVED FIXED    
Severity: Normal CC: calvaris, cdumez, changseok, drousso, eric.carlson, esprehn+autocc, ews-watchlist, glenn, graouts, gyuyoung.kim, jer.noble, joepeck, philipj, sergio, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
[Patch] test for EWS
eric.carlson: review+, ews-feeder: commit-queue-
Patch none

Description Devin Rousso 2021-03-29 18:46:34 PDT
When in fullscreen, it's possible to have five different buttons showing at once in the area to the right of the Play button:
 - AirPlay
 - Enter Picture in Picture
 - Audio/Languages
 - Exit Full Screen
 - More...
This is kinda busy/overkill, especially now that we have a mechanism for collapsing controls into a contextmenu (via the overflow button).

This will match AVKit behavior.
Comment 1 Devin Rousso 2021-03-29 18:53:46 PDT
Created attachment 424609 [details]
[Patch] test for EWS
Comment 2 Eric Carlson 2021-03-30 06:47:36 PDT
Comment on attachment 424609 [details]
[Patch] test for EWS

r=me once the bots are ok with the changes
Comment 3 Devin Rousso 2021-03-31 15:03:10 PDT
Created attachment 424824 [details]
Patch
Comment 4 EWS 2021-04-01 08:05:29 PDT
Committed r275358: <https://commits.webkit.org/r275358>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 424824 [details].
Comment 5 Radar WebKit Bug Importer 2021-04-01 08:06:15 PDT
<rdar://problem/76103920>